#include <bits/stdc++.h>
using namespace std;
long long br,n,x,c=100000004,d=-100000004,v,b,m,f,g;
long long a[10000006];

int main (){
cin >> n >> x;
for (long long i=1;i<=n;i++){
    cin >> a[i];

  if (a[i]<c){// najmanji
    c=a[i];
  }

  if (a[i]>d){ //najveci
    d=a[i];
  }

}

f=x-c;
g=d-x;
v=min(f,g);


m=d-c;
if (f<0 ){
    br=g;
}
else if (g<0){
    br=f;
}
else if (f>0 && g>0){
br=v+m;
}

cout << br << endl;
return 0;
}